此内容没有您所选择的语言版本。
11.3. List Applications by Owner
Description
Get a list of applications owned by a particular user, specified with the owner parameter. If no owner is specified, it automatically defaults to self.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/applications |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
owner | List applications owned by specified user, or @self for current user | Yes |
See Section A.6, “Applications” for more information about the valid options applicable to these request parameters.
Request
{
"owner": "@self"
}
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/applications --user user@example.com:password --data-urlencode owner=@self
JSON Response
The API returns a list of applications owned by the specified user. The related resource links returned by the API have been left out for brevity.
"api_version": 1.6,
"data": [
{
"aliases": [
{
"certificate_added_at": "2014-03-27T00:00:00Z",
"has_private_ssl_certificate": true,
"id": "myappalias",
"links": {
"GET": {
"href": "https://openshift.redhat.com/broker/rest/application/5333d664a9429d1c3e00000c/alias/myappalias",
"method": "GET",
"optional_params": [
],
"rel": "Get alias",
"required_params": [
]
},
........
},
"login": "member@example.com",
"owner": false,
"role": "view",
"type": "user"
}
],
"name": "myapp",
"scalable": true,
"ssh_url": "ssh://5333d664a9429d1c3e00000c@myapp-mydomain.rhcloud.com"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Found 1 applications."
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "applications",
"version": "1.6"
}